#pragma once

class CNtalkModel
{
public:
	CNtalkModel(void);
	~CNtalkModel(void);

	void	SetServerInfo(LPCTSTR strSrvAddress, int nPort, ULONG nRoomID);
	void	SetUserInfo(LPCTSTR strUserID, LPCTSTR strUserName, LPCTSTR strNickName);
	void	SetNickName(LPCTSTR strNickName) { m_strNickName = strNickName; }
	void	SetCreateRoomType(BOOL bCreator) { m_bRoomCreator = bCreator; }
	
	char*	GetAddress() { return m_pszSrvAddress; }
	int		GetPort() { return m_nPort; }
	LPCTSTR GetNickName();
	int		GetNickNameLen() { return m_strNickName.GetLength(); }
	ULONG&	GetRoomID() { return m_nRoomID; }
	LPCTSTR GetUserID() { return m_strUserID.GetString(); }
	int		GetUserIDLen() { return m_strUserID.GetLength(); }
	USHORT&	GetOsType() { return m_nOSType; }
	BOOL	GetCreateRoomType() { return m_bRoomCreator; }
	
private:
	void ConvertAddress();


private:
	CString m_strSrvAddress;
	int m_nPort;
	ULONG m_nRoomID;
	CString m_strUserID;
	CString m_strUserName;
	CString m_strNickName;
	CString m_strUserNameAndNickName;

	char* m_pszSrvAddress;
	USHORT	m_nOSType;
	BOOL	m_bRoomCreator;
};
